<?php 
require_once "../modelos/Fisioterapeuta.php";

$fisioterapeuta  =   new Fisioterapeuta();

$idfisioterapeuta=   isset($_POST["idfisioterapeuta"])? limpiarCadena($_POST["idfisioterapeuta"]):"";
$tipo_persona   =   isset($_POST["tipo_persona"])? limpiarCadena($_POST["tipo_persona"]):"";
$nombre         =   isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$tipo_documento =   isset($_POST["tipo_documento"])? limpiarCadena($_POST["tipo_documento"]):"";
$num_documento  =   isset($_POST["num_documento"])? limpiarCadena($_POST["num_documento"]):"";
$direccion      =   isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$telefono       =   isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$email          =   isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$vehiculo       =   isset($_POST["vehiculo"])? limpiarCadena($_POST["vehiculo"]):"";
$placa          =   isset($_POST["placa"])? limpiarCadena($_POST["placa"]):"";
$comisionventa	=   isset($_POST["comisionventa"])? limpiarCadena($_POST["comisionventa"]):"";
$notshown		=   isset($_POST["notshown"])? limpiarCadena($_POST["notshown"]):"";

switch ($_GET["op"]) {
    case 'guardaryeditar':
        if (empty($idfisioterapeuta)) {
            $rspta=$fisioterapeuta->insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$comisionventa,$notshown);
            echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
        }else{
            $rspta=$fisioterapeuta->editar($idfisioterapeuta,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$comisionventa,$notshown);
            echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
        }
	break;
	

	case 'eliminar':
		$rspta=$fisioterapeuta->eliminar($idfisioterapeuta);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
	
	case 'mostrar':
		$rspta=$fisioterapeuta->mostrar($idfisioterapeuta);
		echo json_encode($rspta);
	break;

	case 'selectFisioterapeuta':
		
		$rspta = $fisioterapeuta->listar();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Fisioterapeuta';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idfisioterapeuta.'>'.$reg->nombre.'</option>';
		}
	break;
			
	case 'buscarcliente':
		$rspta=$fisioterapeuta->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$fisioterapeuta->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta=$fisioterapeuta->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idfisioterapeuta.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idfisioterapeuta.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>